## lugdulov 0.1.0-1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(lugdulov)

include(CMakeDependentOption)

set(VERSION_MAJOR "0")
set(VERSION_MINOR "1")
set(VERSION_PATCH "0")

if(CMAKE_SYSTEM_NAME MATCHES Linux)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
endif()
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

include(QtTranslations) # Local file for maemo_qt4_add_translation()

find_package(Qt4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QtLocation)
find_package(QtBearer)

CHECK_SYMBOL_EXISTS(Q_WS_MAEMO_5 "QtCore/qglobal.h" Q_WS_MAEMO_5)

set(HAVE_QT_LOCATION ${QTLOCATION_FOUND})
set(HAVE_QT_BEARER ${QTBEARER_FOUND})

## GCC  ##
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Wstrict-prototypes -Werror-implicit-function-declaration -Wno-pointer-sign")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

# compile in debug mode
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")


#add extra search paths for libraries and includes
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory where include will install")

set (LUGDULOV_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

add_subdirectory(src)
add_subdirectory(pkg)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)

## Package ##
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Series Watcher")
set(CPACK_PACKAGE_VENDOR "iksaif.net")
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
set(CPACK_VERSION ${LUGDULOV_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
set(CPACK_PACKAGE_VENDOR "http://xf.iksaif.net/dev/lugdulov.html")
set(CPACK_SOURCE_IGNORE_FILES
  "~$"
  "^${PROJECT_SOURCE_DIR}/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/build/")
set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}")


if(WIN32)
  # set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/res/lugdulov.ico")
  set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/res/lugdulov.ico")
  set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/res/package.bmp")
  set(CPACK_BINARY_NSIS "ON")
  set(CPACK_BINARY_CYGWIN "OFF")
  set(CPACK_SOURCE_CYGWIN "OFF")
  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Lugdulo'v")
  set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/lugdulov.html")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/lugdulov.html")
  set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
  set(CPACK_NSIS_MODIFY_PATH ON)
else(WIN32)
  set(CPACK_GENERATOR "DEB")
  set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
  ## Debian specific ##
  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), qjson")
  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6), qjson")
endif(WIN32)
include(CPack)

=== src/CMakeLists.txt ===
# Use it
set(QT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
set(QT_USE_QTSQL TRUE)

include( ${QT_USE_FILE} )

# Include the library include directories, and the current build directory (moc)
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${lugdulov_BINARY_DIR}
	${QJSON_INCLUDE_DIR}
)

link_directories(
	${QJSON_LIBRARY_DIRS}
)

set(lugdulov_SRCS
  main.cpp
  mainwindow.cpp
  mainlistwidget.cpp
  stations.cpp
  stationsbuiltin.cpp
  station.cpp
  settings.cpp
  stationwidget.cpp
  stationdialog.cpp)

set(lugdulov_UIS
  mainwindow.ui
  stationwidget.ui
  stationdialog.ui)

set(lugdulov_MOC_HDRS
  mainwindow.h
  mainlistwidget.h
  stations.h
  settings.h
  stationwidget.h
  stationdialog.h)

set(lugdulov_RCS ../res/lugdulov.qrc ../i18n/i18n.qrc)
set(lugdulov_TRS ../i18n/lugdulov_fr.ts)
set_source_files_properties(${lugdulov_TRS} PROPERTIES OUTPUT_LOCATION ${lugdulov_SOURCE_DIR}/i18n)

if (Q_WS_MAEMO_5)
  maemo_qt4_add_translation(QM_FILES ${lugdulov_TRS})
else()
  qt4_add_translation(QM_FILES ${lugdulov_TRS})
endif()

qt4_wrap_cpp(MOC_SOURCE ${lugdulov_MOC_HDRS})
qt4_wrap_ui(UI_HDRS ${lugdulov_UIS})
qt4_add_resources(RC_SRCS ${lugdulov_RCS})

add_executable(
	lugdulov
	${lugdulov_SRCS}
	${UI_HDRS}
	${MOC_SOURCE}
	${RC_SRCS}
	${QM_FILES}
)

if (QTLOCATION_FOUND)
  include_directories(${QTLOCATION_INCLUDE_DIR})
  link_directories(${QTLOCATION_LIBRARY_DIRS})
  target_link_libraries(lugdulov ${QTLOCATION_LIBRARIES})
endif ()

if (QTBEARER_FOUND)
  include_directories(${QTBEARER_INCLUDE_DIR})
  link_directories(${QTBEARER_LIBRARY_DIRS})
  target_link_libraries(lugdulov ${QTBEARER_LIBRARIES})
endif ()

if (Q_WS_MAEMO_5)
  target_link_libraries(lugdulov QtMaemo5)
endif()

target_link_libraries(
	lugdulov
	${QT_LIBRARIES}
	${QJSON_LIBRARIES}
)

install(TARGETS lugdulov
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
)

=== debian/changelog ===
lugdulov (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 15 Jul 2010 16:02:59 +0200

=== debian/control ===
Source: lugdulov
Section: user/navigation
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-dev, libqt4-dev, cmake
Standards-Version: 3.7.2

Package: lugdulov
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: Recherche de stations de vélos à Lyon
XB-Maemo-Display-Name: SeriesFinale
Description: Find a bike in Lyon.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
 NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAABVI
 SURBVHjabI6xCoMwAEQvIYiQErVkyOQihdZZHPvj/QW7hi4JOJuGILiINU27
 trc97ngcwZ9kWYau67BtG6SUCCHAOYeyLNG2LeZ5BuccVVVhHEfkeX5I/SXG
 eKWU1saY07qu58THj48Q8krO0DTNfd93nfihlLpZa59938N7j2VZIISA1vrL
 RVEgbTBNExhjGIYByfnz9S2AWBjIAEBHgg39+PGj3v3799OBlvgB+RLs7Ows
 YmJiDJaWlgwyMjIMQD5Y/c+fPxmePHki9ODBA6VXr16B+Tdu3PgEDISdQIe3
 AvVeBJlJDgAIIJI8AAw5BlZWVlBoad+8ebMA6JhYYAyxOzs7gx2tr6/PoKSk
 BI41kDpk8Pv3b3AsAkOd4eLFiwzHjx/nO3fuXOimTZv8xcXFtwE9PAEYowdB
 dpACAAKIkdgk9P79e5CjxJmZmcuBoZ4BjGJOV1dXhuTkZAYDAwNQMsJqATAZ
 gTEohEHmgRwINIPhx48fDMeOHWOYM2cOyDMgO/4rKiqu/vv3bxMwhq7y8PAQ
 lYQAAogZm6UgC6SkpBiA6RWc1kEWP3/+3OP79++rgJ7w8fb2Zs3KymJIT09n
 UFFRAVuAL9ZAePPmzQxRUVEMy5cvB8eGqakpOLYcHR0ZNDQ0GDg5ORmBAaMN
 DKgIoD1PhIWFr4DsBuUNkOefPXvGAPQchvkAAYTXA9D0zvr06dNpQEv7gQ4X
 LikpYcjMzGTQ1tYGp3GQ40AhjC3qQeIwT9y5c4fh8OEjwLR/k2Ht2nVgxzg4
 2IMcDvaAh4cHg6amJiiUOYFqg4H2GQI9sAMYeD9A+nF5ACCAGHAlIWtrawZz
 c3N2oEfWAPH/pKSk/8A0+x8GgLEDpnfv3v2/paXl/8aNm/6fP3/h/7Pnz/9/
 /vwZRR3QYjj/1KlT/zU1tf/z8Qn837t37390ALIDZBfITiDeD3SDIMgtIDdh
 AwABhNMDVlZW7JKSkmuA6fJ/QkLC/23btqE4BAZSU1NAwfyfhZn9v4yU/H8j
 Q5P/np6e/6urq/+/ePECrAakD+QRmKdXrVoD1gNMhhhmgvggu0B2guwGumE/
 0C38sBINHQAEEDOudAvMSNOB0RsDKmG8vLwY9PT0wOU+cvIAqfvz5y/D2bPn
 GL5++w7MmN8ZvgFpVjYWhsePHwGTiCMDsISB5wNQngKlZ2lpGQZg6cNw+/Yt
 Bh8fHwYhISGMko6Xlxes/vHjxwrA0ksXGKtrQf5DdytAADFjczywwsoDOrYa
 VMqA0qa0tDSDvLw8OGZgpQoMq6urM7i5uQFLIn2GHTt2MOgb6DHMmzcPWDol
 AfORNNjBMLUwwM7OBq6s1q9fz2BkaAwMHF0UNaBCAVRXgEohkHuABYgaMDOz
 AvPFHnT3AgQQE3oFBQx1SWDRWQ9MBgx+fn7gUAdhUIkAKj1AJRIIgzIUjAbW
 sAyhoSEMoEoMVFExMTECa1V+aAz9QcGgohBE6+rqgR28bfsOUIUIlwfZAavl
 QRjkBlAgysrKFgALFx10DwAEEBN66AM9UAlsLghZWFiAo/En0EJ+oGNgjoVh
 sIVInti3bz+4rgBhYI2L4kFkDEoWP378ZNi4cSPYzhs3roE9jW42qCkB8izI
 DSC3AEsodmBTowW9xgYIICa04lMbqDHd0NAQXIyCDGAGhiYoyn/+BIbcL2AI
 /obg3yCL/v4BO+jEyZPAojULWBm9Z/jy5Suw2fAUw+HIHjh16jTDls3bgIHF
 BXT8axQPwGIJlGlBxTmIDXILyE3AvAJqsjgjuxkggJiQQ5+Li6tUVVWVDYjB
 6RBkGAsrC8M/kK+BHvkPpIAkKAsz/ANlYiDz6vXrDAnA9M7KwsoQEBDI8P37
 V1Cahadn5PwC0geip02bDk4qOTnZ4HoAVBODPAbCyJUfKM+B3QB0C8hNwEqT
 EejGSqAcPO8CBBC8CgUqcgEWW9GgGhKUeUChwQQMAXYuHob/794wfD1/meH3
 65dgcRZpCQZuSxuGs/fvM2QmJTF8ffuJYdW61Qxv34Iy5lqGu3fvgEskFhZW
 jBLu4MGDDNu2bgXWMzYMBQUFwFLmKcOGDRvB+QiUF0AeA7VKQZUaqHkCigGQ
 nSA3gdwGjC3nK1euhAPVLQOZBxBAcA8A2x7xQF+ygHzKzMbK8P8vMDSADn+/
 fAnDw4uXGDiAFv34/Z3h7z8mBjYuboa3wEw47+VThqfv3zLMnDcXXJKcu3KZ
 gZGJleHJoyfAJsA3kJkojge1fyZNmgx01G+GpKQEcAjr6OgAPbCeISMjk+Hz
 509Ax/4HirMAM7AQg56OPoOvvy+w1tcEq1VVU2NQvXULlMfSgXltNaiNCBBA
 LNAoExQVFXUFFZXANggw3TMzfNiyleHjqpUMPx7cZ+AGRthvDhaG/+zcDEzA
 RPTj4xsGhn3bGSJ+MzCEAB1uxM0Kjn5hfgEGRUUFhvOXLjIsXryUwcbGikFW
 RpYBWI0x3AQ2IVauXMVw6NBhhoLCfAZroFxbWzvDihUrwSEMKrWys7Ohof6b
 4Rywbtm5ayfDkWNHwKVQUlIigwjQbSA3At1qBmz8yQKT4z2AAIJ5wAhYBIqB
 yntQrv+7by/Dxwk9DL/5gcWnrT0DM6hpfPs6w7dPbxnYgY5mlJJnYAQ2nSWB
 Jc6f40cYHmXnMMgtXsTAIyzOoKKkzLBr9w6G5uYmYKixAy0FNa3ZGd4Dy/23
 718xODo5AZNOHkNPTx/D5MkTgfWHITjQvnz5wuDr68cgKSkOzsBv375lMDM3
 YZgyZSrD6tUrgUUrF0NCQjy4TgI6lQPYXvIAemAaQACBMwOw3I0FNokdjYyM
 GASBSeB7VzcDCzsrA39DAwNfUDADt7cXg6CRFcO3g8cY/nBxMAj3tjOIJKYw
 sHu6AvmcDD+3bWdg+fOLgcfNg+HCucsM586fYUjPyAA31oSEhIGl1W+Gu8B+
 ADDkGLq7u8GlTkVFBViuv78fGGg8DFuAMS4qKsJgbGwETm6gvgOoXtHU1GA4
 evQYw+dPnxkcHB3AdRWwcwTqCd4H5o/tAAHEBE3/uqAeFKjtz3T1HMPvWzcY
 hOISGCStbMCVyQ9gEfrPUJtBvKSUQbGtjYHX2BJUvADzCicDX1gow1c9HYab
 e/Yx3DlzguEv8z8GZhZWcB4wMzNlCANWcH+BHgCWB0BHlwO7pJrApLQaWFp9
 A1Z+wcBOkB4wqdkC7RFg2LNnDzj5gDIzqCYG2e3g4MAQHR3DcPvObYb7j5+A
 3QhyK9DNNkCn8wEEECgJcQE5yqBoBGe6e3fABSW3FrCNDozKv2zs4H4PsI3O
 8EpHg+H6pasMr2fPYXgLzOAfPn9l+PzxPcPbN+8ZPn/4yvA7r4ThMzC98/Dy
 Maxds4Zh586d4Hrk3bv3DNXVNQyBgQHgUubs2bPAUOcHOtwGHNpqwMxpYmIK
 LKEOMBw4sJ8BlBJAbgEWmWB5UJNm9uzZDA/u3GUw0NFmgLpVASjFDxCA5ipI
 YRAGgkPENp4r9HH6lSj9Vz2X0qco0ogHRdHOrPYaNmE2O5mZqIGMhXdtkCZP
 4wwtbl2rx2FaL/51BFxXD3zeLyoNvWFf4GgMa+pJtysDXIKFNRfnkaUJdvpH
 /EadhBACyrIwMJrMEAcDoaB3GKjjLRdomqdRjPHcwuP/j5HnN6Nf37eG8WxO
 Gu1/AgiUhNiBRRQ/KPeDOyisTOAY+H7qDLAo/Qt0LKQIFOATYNAGhpSUODAT
 CYky8HHzA2OIk4EXWEuzgHISsJ3ICtT4+893hq/Ayuzv7//gliooXdvaWKN0
 lpiADv796w9KB8XW1hpYlKaDOz4LFy4E64UBUAkHqtCYmVnAbgS5FehmkK1s
 AAHEAimEGP+CmrCgDMImJMIAkvmx7wjD75CrDJy6+gz/QU1cYDlcUV3BkJ6Z
 wfDixTOGVy/eMbz5+JbhzoqlDC9vXWf4wsrN8EVNleErMImAMtxnYJOCg4OX
 ISIigkEOWPTBmt9cwEwvKirGcPXqZfCQDKg1C6upQcUoqNkAihk2UF0E7UuD
 emOgjC8hIQnmg9wKjR1WgAACeeAXsIJ5C/QhHyhE2LR0GZgFeBh+v33E8Lqv
 n0GsbwIDBzCDgZoOzEDN4uKiwEwE6W4yHD3M8OrDZ4bvv34y/FXQYOCa1Mfw
 Cej9D9BGHRcwuoE9KpQmBSgGrCwtGU6fPgHMI7uATXF3oINYwA4DyYE8DALg
 lgBQDBT6q1etAtYTvMAWrC68vQR0M7itAhBAoATy69u3b2+BGKyY1dQEiK3A
 hnw7c4zhRX01w+/nzyCGgRwBTFMg33/avZvhZlkpw/cXdxl+szAxCPg4MQjJ
 KTIoyMkxGADrCCdgZx3UioSlY1jfGYT9/H3A5fm2bVuBJdJKeNKCqYV1fEBq
 V69eAx4QUFfXYFBRVQHLgdwKxD9BNTFAADGB89XXr09BRRfId6zAtjhfajoD
 k4QsAxswGf7et5vhFbD4/HnuDLhCYwSWKp82bWV4DSwS2Z89B7ZQgcnL0oGB
 NzqO4Q/IcnC6/o/WiEP0N0AOAHXiQe0g0IgDqDbetWs32PGwATMQ/gAsAKZN
 mwbM0K3A5ss/Bi9g/4QPVMkCzQe5Faj3FcjtAAEESkJ/gJwHoIoD3HD695+B
 x0ifgQlY0bzr7GNgeP6I4TuwfH9ZVMAgGB7OwPiHieHLiiXABt5Lhl/ARiGn
 uQ2DeF0dA4uwGDBj/gK2WBlBpS4QMaKMSiB7AoQjIiIZXr9+y9Db28uQm5sL
 7INbAotPQ3AJ8/TJC4b9+w8yXL9xlYENWItnZ+cyREZBkhbIjSC3At18F8h9
 DxBALJCi7etpUIYCdfMEgf1TUOsZVKuyS0kwfAJ2D7+cucjA+OYlw+fufnAJ
 xQhs+zDLqTEIe3gy8KTHM7z/x8Jw4/AhhtcvXzFwANO9PDAZgdosoCIPaWgR
 3NEBhTqohoXEQh6DkpIi0BM9wCJ0H7jegDcuuXkZzEzNGaJjIoH9Zm9wIPwF
 NjBBbgS5FWjOLVAqBwggFmiaO3zjxo17t27dUgI2qYHlOhc4qtn1jBiEJwJD
 5fwlhn9XrzH8//CO4R8wMJlEhBh4LM0YWFW1GUAt+JvACsiouRZULDN8Z/zL
 cNHLkYHZPRjcJAaBR48eMdw/dpjB+uQZhl+P7zH8BTridt9kcK3q5+cLbsmC
 OjmgfgSoouPgYIdUbsD8yA1s+cJiDhT6QDeCxlV/AN23H5QHAAII1px+/uLF
 iwPXr19XAmU8UDTCum4gn3MAmwSM5mYYyQHGfgusaf9zAovfX58Y+ID9AImH
 L8BjoCBHgNTcvXuXQfndJwYOYEX399FjhufKGuARbpgdoEADYeTBMGx5CDTE
 CXQjsBh/cQ3IBcUAA0AAwXpkv4GtwS2XLl36dx/YSQGFPqhUAGUmkCWwHhI6
 hgFQC/aztjow9L4z/OPkYJA6fYnhA7CuALUwQUnmzdMnDNLA7ub/Tx8YWH7+
 Y3gqLgbuuKMPP6JjWKYGuQXkJpDbgG4EmXsEqO0ZSC9AACH3iU8Co+fkuXPn
 wO0emAHgmhPqCVwAVCSeAvaY2IF5AVTMvnkF7LldvwwKKTDmAmY61ndvGb6/
 fMwAqtrfSEuBkw++8VR0u0FuArkN6EZgG4dhLxB/AakFCCBkD7wCtsFn7N+/
 /yso+pFHlUEGwWIExkbGsrKyDN+B7f7/0nIM/3//YhAF+lXtzVuGu8BmASjN
 GgH5/16/ZmAGFoEvZaQZ/gA9DKpxsZmFbAfymBLITSC3Ad1YAXTrDkjjhYEB
 IICQPQAqxtefP39+zpYtW8BFFSz9wYo+XBg0BKIErGSu6WoDa8n/wNYhBwPf
 1esMd29eZ3j84B6D9Ms3DEzv3zH8BVaeL4wNGWSVlMBNZULmwvICyC0gN4Hc
 BhRaBSpNYY4GCCD0aZGvwIpi6YEDB54dOnQInH6Ry3JcGBRqoE75DR5uYH+Z
 F1yZsX58x8ABTEoSjMBkde86w6/XLxhesXEw3JUSZVBRVoG3Z/DlL5DdIDeA
 3AJyE8htoKIT2cEAAYTuAVCpeBXYItwBGvY7efIkuAwnxhOgsl1IUZnhA7DK
 /wMsCkU42RjMHj5isPn5g+HzjetgMSZtXQY2YGtWUlKSKMeD7Aa5AeQWkJtA
 boO6EQ4AAgjb4O5voE9fvX792uTz588SoMwGshA2F4CrVAKFKMib5x7eY1B9
 +prh358fDCKgZHjpLLAJwsnw+tsfhnvALqichTV4UgSXObCAArV3Tpw4wbB4
 8WJgl/LoBWAmbgJK3Ud3LEAAMeMoCF4DK43LwAqI//bt25qg4RBwCANraXye
 APWgbr56zSD45TsD153rDEwsHMBODyPDP2DG/qaqxnDL0oLBGth9BI374HM8
 qLhcBWyBzp07F+SJdUDHNwClzsAyLjIACCBcHgApfAmMiRvAtjgnsCTRAdaQ
 TKB0DqvkkC1EHkljZGJmOHH7CoMKsPb+D2xKgMSfApPRe083Bh59I/BEIKzl
 iWwGrAkNanLMnz+fYdGiRX+BNe4SoFg3UOoCqEWCzaEAAcSMZ54DVCp9AuJ7
 wFrz99OnT7WAIcEG6g2BQhCUpGAeQS45QLFw/clTBukHTxhYvnwCNj1+M/zg
 Ema4ZGPFYG5rB+6soAcAqJICtTBB5Two5NeuXfsF6BFQiTMLNP4L6iDiciRA
 ADETmKz5DarBYZ4ARq0xsEHGAswb8EkI2OwkyngmsCV6/8VTBvHL5xmeAbMc
 i4U5w397R3DoI6sHZVSQw69evcqwdetW8ATgnj17fgDbRFOBSuZBmwvf8DkQ
 IICInZQFdaDVgDgc6MAgYCWkBQSM9vb2DCAMqpRAngE5HlSkgpoQoL4tqBEH
 aoCB8g+oXQSiQaENEgOpAVVOoLFSUEkD9MR/YHK9BpRbB7RnJdTxvwk5DCCA
 SJlVBsWWMBCrALEVMBmYACswIwUFBVUgBtfGoNIK5EhQyQXyEGyyG9TCBMUa
 qEIC9W1Brc7Hjx+DGnn/gTF6HVjWXwamdVAmPQbEd0DtQ2wZFhsACCDSpsUR
 dYcAEMsCsR4Q2wOxNjD05YANNBFgJmcDrakA5QVkD4CKRVBrEhjyv4AOfgMM
 6UdAqfOgAWtoOn8MTa7/SHEMQACR4wHkoXnQrJ8cEEtCPSQBatsBMWhGnx8Y
 S2zQ/sYvYAiDBoleAvFTIH4BxE+gjn4ELSz+kOMIgACixAPIHgF1vUBj6XxI
 NAfS8D3IcT+gDv2CRH8jNqngAgABRA0PoJvHBHU4M5L5/6EO/QNNIv+pZSFA
 gAEAsPsrptzUyvIAAAAASUVORK5CYII=

=== pkg/maemo5/debian/control ===
Source: lugdulov
Section: user/navigation
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-dev, libqt4-dev
Standards-Version: 3.7.2

Package: lugdulov
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: Recherche de stations de vélos à Lyon
Description: Find a bike in Lyon.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
 NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAABVI
 SURBVHjabI6xCoMwAEQvIYiQErVkyOQihdZZHPvj/QW7hi4JOJuGILiINU27
 trc97ngcwZ9kWYau67BtG6SUCCHAOYeyLNG2LeZ5BuccVVVhHEfkeX5I/SXG
 eKWU1saY07qu58THj48Q8krO0DTNfd93nfihlLpZa59938N7j2VZIISA1vrL
 RVEgbTBNExhjGIYByfnz9S2AWBjIAEBHgg39+PGj3v3799OBlvgB+RLs7Ows
 YmJiDJaWlgwyMjIMQD5Y/c+fPxmePHki9ODBA6VXr16B+Tdu3PgEDISdQIe3
 AvVeBJlJDgAIIJI8AAw5BlZWVlBoad+8ebMA6JhYYAyxOzs7gx2tr6/PoKSk
 BI41kDpk8Pv3b3AsAkOd4eLFiwzHjx/nO3fuXOimTZv8xcXFtwE9PAEYowdB
 dpACAAKIkdgk9P79e5CjxJmZmcuBoZ4BjGJOV1dXhuTkZAYDAwNQMsJqATAZ
 gTEohEHmgRwINIPhx48fDMeOHWOYM2cOyDMgO/4rKiqu/vv3bxMwhq7y8PAQ
 lYQAAogZm6UgC6SkpBiA6RWc1kEWP3/+3OP79++rgJ7w8fb2Zs3KymJIT09n
 UFFRAVuAL9ZAePPmzQxRUVEMy5cvB8eGqakpOLYcHR0ZNDQ0GDg5ORmBAaMN
 DKgIoD1PhIWFr4DsBuUNkOefPXvGAPQchvkAAYTXA9D0zvr06dNpQEv7gQ4X
 LikpYcjMzGTQ1tYGp3GQ40AhjC3qQeIwT9y5c4fh8OEjwLR/k2Ht2nVgxzg4
 2IMcDvaAh4cHg6amJiiUOYFqg4H2GQI9sAMYeD9A+nF5ACCAGHAlIWtrawZz
 c3N2oEfWAPH/pKSk/8A0+x8GgLEDpnfv3v2/paXl/8aNm/6fP3/h/7Pnz/9/
 /vwZRR3QYjj/1KlT/zU1tf/z8Qn837t37390ALIDZBfITiDeD3SDIMgtIDdh
 AwABhNMDVlZW7JKSkmuA6fJ/QkLC/23btqE4BAZSU1NAwfyfhZn9v4yU/H8j
 Q5P/np6e/6urq/+/ePECrAakD+QRmKdXrVoD1gNMhhhmgvggu0B2guwGumE/
 0C38sBINHQAEEDOudAvMSNOB0RsDKmG8vLwY9PT0wOU+cvIAqfvz5y/D2bPn
 GL5++w7MmN8ZvgFpVjYWhsePHwGTiCMDsISB5wNQngKlZ2lpGQZg6cNw+/Yt
 Bh8fHwYhISGMko6Xlxes/vHjxwrA0ksXGKtrQf5DdytAADFjczywwsoDOrYa
 VMqA0qa0tDSDvLw8OGZgpQoMq6urM7i5uQFLIn2GHTt2MOgb6DHMmzcPWDol
 AfORNNjBMLUwwM7OBq6s1q9fz2BkaAwMHF0UNaBCAVRXgEohkHuABYgaMDOz
 AvPFHnT3AgQQE3oFBQx1SWDRWQ9MBgx+fn7gUAdhUIkAKj1AJRIIgzIUjAbW
 sAyhoSEMoEoMVFExMTECa1V+aAz9QcGgohBE6+rqgR28bfsOUIUIlwfZAavl
 QRjkBlAgysrKFgALFx10DwAEEBN66AM9UAlsLghZWFiAo/En0EJ+oGNgjoVh
 sIVInti3bz+4rgBhYI2L4kFkDEoWP378ZNi4cSPYzhs3roE9jW42qCkB8izI
 DSC3AEsodmBTowW9xgYIICa04lMbqDHd0NAQXIyCDGAGhiYoyn/+BIbcL2AI
 /obg3yCL/v4BO+jEyZPAojULWBm9Z/jy5Suw2fAUw+HIHjh16jTDls3bgIHF
 BXT8axQPwGIJlGlBxTmIDXILyE3AvAJqsjgjuxkggJiQQ5+Li6tUVVWVDYjB
 6RBkGAsrC8M/kK+BHvkPpIAkKAsz/ANlYiDz6vXrDAnA9M7KwsoQEBDI8P37
 V1Cahadn5PwC0geip02bDk4qOTnZ4HoAVBODPAbCyJUfKM+B3QB0C8hNwEqT
 EejGSqAcPO8CBBC8CgUqcgEWW9GgGhKUeUChwQQMAXYuHob/794wfD1/meH3
 65dgcRZpCQZuSxuGs/fvM2QmJTF8ffuJYdW61Qxv34Iy5lqGu3fvgEskFhZW
 jBLu4MGDDNu2bgXWMzYMBQUFwFLmKcOGDRvB+QiUF0AeA7VKQZUaqHkCigGQ
 nSA3gdwGjC3nK1euhAPVLQOZBxBAcA8A2x7xQF+ygHzKzMbK8P8vMDSADn+/
 fAnDw4uXGDiAFv34/Z3h7z8mBjYuboa3wEw47+VThqfv3zLMnDcXXJKcu3KZ
 gZGJleHJoyfAJsA3kJkojge1fyZNmgx01G+GpKQEcAjr6OgAPbCeISMjk+Hz
 509Ax/4HirMAM7AQg56OPoOvvy+w1tcEq1VVU2NQvXULlMfSgXltNaiNCBBA
 LNAoExQVFXUFFZXANggw3TMzfNiyleHjqpUMPx7cZ+AGRthvDhaG/+zcDEzA
 RPTj4xsGhn3bGSJ+MzCEAB1uxM0Kjn5hfgEGRUUFhvOXLjIsXryUwcbGikFW
 RpYBWI0x3AQ2IVauXMVw6NBhhoLCfAZroFxbWzvDihUrwSEMKrWys7Ohof6b
 4Rywbtm5ayfDkWNHwKVQUlIigwjQbSA3At1qBmz8yQKT4z2AAIJ5wAhYBIqB
 yntQrv+7by/Dxwk9DL/5gcWnrT0DM6hpfPs6w7dPbxnYgY5mlJJnYAQ2nSWB
 Jc6f40cYHmXnMMgtXsTAIyzOoKKkzLBr9w6G5uYmYKixAy0FNa3ZGd4Dy/23
 718xODo5AZNOHkNPTx/D5MkTgfWHITjQvnz5wuDr68cgKSkOzsBv375lMDM3
 YZgyZSrD6tUrgUUrF0NCQjy4TgI6lQPYXvIAemAaQACBMwOw3I0FNokdjYyM
 GASBSeB7VzcDCzsrA39DAwNfUDADt7cXg6CRFcO3g8cY/nBxMAj3tjOIJKYw
 sHu6AvmcDD+3bWdg+fOLgcfNg+HCucsM586fYUjPyAA31oSEhIGl1W+Gu8B+
 ADDkGLq7u8GlTkVFBViuv78fGGg8DFuAMS4qKsJgbGwETm6gvgOoXtHU1GA4
 evQYw+dPnxkcHB3AdRWwcwTqCd4H5o/tAAHEBE3/uqAeFKjtz3T1HMPvWzcY
 hOISGCStbMCVyQ9gEfrPUJtBvKSUQbGtjYHX2BJUvADzCicDX1gow1c9HYab
 e/Yx3DlzguEv8z8GZhZWcB4wMzNlCANWcH+BHgCWB0BHlwO7pJrApLQaWFp9
 A1Z+wcBOkB4wqdkC7RFg2LNnDzj5gDIzqCYG2e3g4MAQHR3DcPvObYb7j5+A
 3QhyK9DNNkCn8wEEECgJcQE5yqBoBGe6e3fABSW3FrCNDozKv2zs4H4PsI3O
 8EpHg+H6pasMr2fPYXgLzOAfPn9l+PzxPcPbN+8ZPn/4yvA7r4ThMzC98/Dy
 Maxds4Zh586d4Hrk3bv3DNXVNQyBgQHgUubs2bPAUOcHOtwGHNpqwMxpYmIK
 LKEOMBw4sJ8BlBJAbgEWmWB5UJNm9uzZDA/u3GUw0NFmgLpVASjFDxCA5ipI
 YRAGgkPENp4r9HH6lSj9Vz2X0qco0ogHRdHOrPYaNmE2O5mZqIGMhXdtkCZP
 4wwtbl2rx2FaL/51BFxXD3zeLyoNvWFf4GgMa+pJtysDXIKFNRfnkaUJdvpH
 /EadhBACyrIwMJrMEAcDoaB3GKjjLRdomqdRjPHcwuP/j5HnN6Nf37eG8WxO
 Gu1/AgiUhNiBRRQ/KPeDOyisTOAY+H7qDLAo/Qt0LKQIFOATYNAGhpSUODAT
 CYky8HHzA2OIk4EXWEuzgHISsJ3ICtT4+893hq/Ayuzv7//gliooXdvaWKN0
 lpiADv796w9KB8XW1hpYlKaDOz4LFy4E64UBUAkHqtCYmVnAbgS5FehmkK1s
 AAHEAimEGP+CmrCgDMImJMIAkvmx7wjD75CrDJy6+gz/QU1cYDlcUV3BkJ6Z
 wfDixTOGVy/eMbz5+JbhzoqlDC9vXWf4wsrN8EVNleErMImAMtxnYJOCg4OX
 ISIigkEOWPTBmt9cwEwvKirGcPXqZfCQDKg1C6upQcUoqNkAihk2UF0E7UuD
 emOgjC8hIQnmg9wKjR1WgAACeeAXsIJ5C/QhHyhE2LR0GZgFeBh+v33E8Lqv
 n0GsbwIDBzCDgZoOzEDN4uKiwEwE6W4yHD3M8OrDZ4bvv34y/FXQYOCa1Mfw
 Cej9D9BGHRcwuoE9KpQmBSgGrCwtGU6fPgHMI7uATXF3oINYwA4DyYE8DALg
 lgBQDBT6q1etAtYTvMAWrC68vQR0M7itAhBAoATy69u3b2+BGKyY1dQEiK3A
 hnw7c4zhRX01w+/nzyCGgRwBTFMg33/avZvhZlkpw/cXdxl+szAxCPg4MQjJ
 KTIoyMkxGADrCCdgZx3UioSlY1jfGYT9/H3A5fm2bVuBJdJKeNKCqYV1fEBq
 V69eAx4QUFfXYFBRVQHLgdwKxD9BNTFAADGB89XXr09BRRfId6zAtjhfajoD
 k4QsAxswGf7et5vhFbD4/HnuDLhCYwSWKp82bWV4DSwS2Z89B7ZQgcnL0oGB
 NzqO4Q/IcnC6/o/WiEP0N0AOAHXiQe0g0IgDqDbetWs32PGwATMQ/gAsAKZN
 mwbM0K3A5ss/Bi9g/4QPVMkCzQe5Faj3FcjtAAEESkJ/gJwHoIoD3HD695+B
 x0ifgQlY0bzr7GNgeP6I4TuwfH9ZVMAgGB7OwPiHieHLiiXABt5Lhl/ARiGn
 uQ2DeF0dA4uwGDBj/gK2WBlBpS4QMaKMSiB7AoQjIiIZXr9+y9Db28uQm5sL
 7INbAotPQ3AJ8/TJC4b9+w8yXL9xlYENWItnZ+cyREZBkhbIjSC3At18F8h9
 DxBALJCi7etpUIYCdfMEgf1TUOsZVKuyS0kwfAJ2D7+cucjA+OYlw+fufnAJ
 xQhs+zDLqTEIe3gy8KTHM7z/x8Jw4/AhhtcvXzFwANO9PDAZgdosoCIPaWgR
 3NEBhTqohoXEQh6DkpIi0BM9wCJ0H7jegDcuuXkZzEzNGaJjIoH9Zm9wIPwF
 NjBBbgS5FWjOLVAqBwggFmiaO3zjxo17t27dUgI2qYHlOhc4qtn1jBiEJwJD
 5fwlhn9XrzH8//CO4R8wMJlEhBh4LM0YWFW1GUAt+JvACsiouRZULDN8Z/zL
 cNHLkYHZPRjcJAaBR48eMdw/dpjB+uQZhl+P7zH8BTridt9kcK3q5+cLbsmC
 OjmgfgSoouPgYIdUbsD8yA1s+cJiDhT6QDeCxlV/AN23H5QHAAII1px+/uLF
 iwPXr19XAmU8UDTCum4gn3MAmwSM5mYYyQHGfgusaf9zAovfX58Y+ID9AImH
 L8BjoCBHgNTcvXuXQfndJwYOYEX399FjhufKGuARbpgdoEADYeTBMGx5CDTE
 CXQjsBh/cQ3IBcUAA0AAwXpkv4GtwS2XLl36dx/YSQGFPqhUAGUmkCWwHhI6
 hgFQC/aztjow9L4z/OPkYJA6fYnhA7CuALUwQUnmzdMnDNLA7ub/Tx8YWH7+
 Y3gqLgbuuKMPP6JjWKYGuQXkJpDbgG4EmXsEqO0ZSC9AACH3iU8Co+fkuXPn
 wO0emAHgmhPqCVwAVCSeAvaY2IF5AVTMvnkF7LldvwwKKTDmAmY61ndvGb6/
 fMwAqtrfSEuBkw++8VR0u0FuArkN6EZgG4dhLxB/AakFCCBkD7wCtsFn7N+/
 /yso+pFHlUEGwWIExkbGsrKyDN+B7f7/0nIM/3//YhAF+lXtzVuGu8BmASjN
 GgH5/16/ZmAGFoEvZaQZ/gA9DKpxsZmFbAfymBLITSC3Ad1YAXTrDkjjhYEB
 IICQPQAqxtefP39+zpYtW8BFFSz9wYo+XBg0BKIErGSu6WoDa8n/wNYhBwPf
 1esMd29eZ3j84B6D9Ms3DEzv3zH8BVaeL4wNGWSVlMBNZULmwvICyC0gN4Hc
 BhRaBSpNYY4GCCD0aZGvwIpi6YEDB54dOnQInH6Ry3JcGBRqoE75DR5uYH+Z
 F1yZsX58x8ABTEoSjMBkde86w6/XLxhesXEw3JUSZVBRVoG3Z/DlL5DdIDeA
 3AJyE8htoKIT2cEAAYTuAVCpeBXYItwBGvY7efIkuAwnxhOgsl1IUZnhA7DK
 /wMsCkU42RjMHj5isPn5g+HzjetgMSZtXQY2YGtWUlKSKMeD7Aa5AeQWkJtA
 boO6EQ4AAgjb4O5voE9fvX792uTz588SoMwGshA2F4CrVAKFKMib5x7eY1B9
 +prh358fDCKgZHjpLLAJwsnw+tsfhnvALqichTV4UgSXObCAArV3Tpw4wbB4
 8WJgl/LoBWAmbgJK3Ud3LEAAMeMoCF4DK43LwAqI//bt25qg4RBwCANraXye
 APWgbr56zSD45TsD153rDEwsHMBODyPDP2DG/qaqxnDL0oLBGth9BI374HM8
 qLhcBWyBzp07F+SJdUDHNwClzsAyLjIACCBcHgApfAmMiRvAtjgnsCTRAdaQ
 TKB0DqvkkC1EHkljZGJmOHH7CoMKsPb+D2xKgMSfApPRe083Bh59I/BEIKzl
 iWwGrAkNanLMnz+fYdGiRX+BNe4SoFg3UOoCqEWCzaEAAcSMZ54DVCp9AuJ7
 wFrz99OnT7WAIcEG6g2BQhCUpGAeQS45QLFw/clTBukHTxhYvnwCNj1+M/zg
 Ema4ZGPFYG5rB+6soAcAqJICtTBB5Two5NeuXfsF6BFQiTMLNP4L6iDiciRA
 ADETmKz5DarBYZ4ARq0xsEHGAswb8EkI2OwkyngmsCV6/8VTBvHL5xmeAbMc
 i4U5w397R3DoI6sHZVSQw69evcqwdetW8ATgnj17fgDbRFOBSuZBmwvf8DkQ
 IICInZQFdaDVgDgc6MAgYCWkBQSM9vb2DCAMqpRAngE5HlSkgpoQoL4tqBEH
 aoCB8g+oXQSiQaENEgOpAVVOoLFSUEkD9MR/YHK9BpRbB7RnJdTxvwk5DCCA
 SJlVBsWWMBCrALEVMBmYACswIwUFBVUgBtfGoNIK5EhQyQXyEGyyG9TCBMUa
 qEIC9W1Brc7Hjx+DGnn/gTF6HVjWXwamdVAmPQbEd0DtQ2wZFhsACCDSpsUR
 dYcAEMsCsR4Q2wOxNjD05YANNBFgJmcDrakA5QVkD4CKRVBrEhjyv4AOfgMM
 6UdAqfOgAWtoOn8MTa7/SHEMQACR4wHkoXnQrJ8cEEtCPSQBatsBMWhGnx8Y
 S2zQ/sYvYAiDBoleAvFTIH4BxE+gjn4ELSz+kOMIgACixAPIHgF1vUBj6XxI
 NAfS8D3IcT+gDv2CRH8jNqngAgABRA0PoJvHBHU4M5L5/6EO/QNNIv+pZSFA
 gAEAsPsrptzUyvIAAAAASUVORK5CYII=
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# FIXME: use cdbs-dh7 and cmake magic stuff instead

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	mkdir -p $(CURDIR)/build
	cd $(CURDIR)/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov $(CURDIR) && $(MAKE) VERBOSE=1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf $(CURDIR)/build
	dh_clean debian/shlibs.local
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd $(CURDIR)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lugdulov 0.2.0-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include(CMakeDependentOption)
 
 set(VERSION_MAJOR "0")
-set(VERSION_MINOR "1")
+set(VERSION_MINOR "2")
 set(VERSION_PATCH "0")
 
 if(CMAKE_SYSTEM_NAME MATCHES Linux)
@@ -13,7 +13,16 @@
 endif()
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)
 
+if(CMAKE_SYSTEM_NAME MATCHES Linux)
+  cmake_dependent_option(BUILD_STATIC_PLUGINS "build static plugins [default: off]" OFF "NOT BUILD_SHARED_LIBS" ON)
+else()
+  set(BUILD_STATIC_PLUGINS ON)
+endif()
+
+include(lugdulov)
 include(QtTranslations) # Local file for maemo_qt4_add_translation()
+
+set(PLUGINS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}lib/lugdulov/plugins")
 
 find_package(Qt4 REQUIRED)
 find_package(QJSON REQUIRED)
@@ -33,6 +42,18 @@
 set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
+
+if(NOT EXECUTABLE_OUTPUT_PATH)
+  set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin CACHE STRING
+    "Single output directory for building all executables."
+    FORCE)
+endif(NOT EXECUTABLE_OUTPUT_PATH)
+
+if(NOT LIBRARY_OUTPUT_PATH)
+  set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin CACHE STRING
+    "Single output directory for building all libraries."
+    FORCE)
+endif(NOT LIBRARY_OUTPUT_PATH)
 
 # compile in debug mode
 if(NOT CMAKE_BUILD_TYPE)
@@ -54,13 +75,26 @@
 
 set (LUGDULOV_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
-add_subdirectory(src)
+# Use it
+set(QT_USE_QTGUI TRUE)
+set(QT_USE_QTNETWORK TRUE)
+set(QT_USE_QTXML TRUE)
+set(QT_USE_QTSQL TRUE)
+
+include( ${QT_USE_FILE} )
+
+# Find config.h
+include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
+
+add_subdirectory(plugins)
+add_subdirectory(qmapcontrol)
+add_subdirectory(lugdulov)
 add_subdirectory(pkg)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)
 
 ## Package ##
-set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Series Watcher")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Lugdulo'V")
 set(CPACK_PACKAGE_VENDOR "iksaif.net")
 set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
@@ -76,24 +110,37 @@
   "~$"
   "^${PROJECT_SOURCE_DIR}/\\\\.git"
   "^${PROJECT_SOURCE_DIR}/build/")
-set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}")
-
 
 if(WIN32)
+  install(FILES
+        "${QT_BINARY_DIR}/QtCore${QT_VERSION_MAJOR}.dll"
+        "${QT_BINARY_DIR}/QtXml${QT_VERSION_MAJOR}.dll"
+        "${QT_BINARY_DIR}/QtGui${QT_VERSION_MAJOR}.dll"
+        "${QT_BINARY_DIR}/QtNetwork${QT_VERSION_MAJOR}.dll"
+        "${QT_BINARY_DIR}/mingwm10.dll"
+        "${QT_BINARY_DIR}/libgcc_s_dw2-1.dll"
+        "${CMAKE_BINARY_DIR}/bin/libqjson.dll"
+        DESTINATION bin
+  )
+  set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-win32")
+  set(CPACK_SOURCE_PACKAGE_FILE_NAME "lugdulov")
   # set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
-  set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/res/lugdulov.ico")
-  set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/res/lugdulov.ico")
-  set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/res/package.bmp")
+  set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/lugdulov/res/lugdulov.ico")
+  set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/lugdulov/res/lugdulov.ico")
+  #set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/lugdulov/res/lugdulov.ico")
+  set(CPACK_PACKAGE_EXECUTABLES "lugdulov;Lugdulo'V")
   set(CPACK_BINARY_NSIS "ON")
+  set(CPACK_NSIS_MODIFY_PATH "OFF")
   set(CPACK_BINARY_CYGWIN "OFF")
   set(CPACK_SOURCE_CYGWIN "OFF")
   set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Lugdulo'v")
   set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/lugdulov.html")
   set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/lugdulov.html")
   set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
-  set(CPACK_NSIS_MODIFY_PATH ON)
+  set(CPACK_PACKAGE_INSTALL_DIRECTORY "lugdulov")
 else(WIN32)
+  set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
+  set(CPACK_SOURCE_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}")
   set(CPACK_GENERATOR "DEB")
   set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
   ## Debian specific ##

=== lugdulov/CMakeLists.txt ===
project(lugdulov_core)

# Include the library include directories, and the current build directory (moc)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${qmapcontrol_SOURCE_DIR}
  ${QT_INCLUDE_DIR}
)

set(lugdulov_SRCS
  main.cpp
  mainwindow.cpp
  settings.cpp
  stationdialog.cpp
  stationspluginmanager.cpp
  stationslistdialog.cpp
  bookmarklistdialog.cpp
  stationdelegate.cpp
  stationsmodel.cpp
  stationssortfilterproxymodel.cpp
  stationslistview.cpp
  mapdialog.cpp
  mapwidget.cpp)

set(lugdulov_UIS
  mainwindow.ui
  stationdialog.ui
  stationslistdialog.ui
  mapdialog.ui)

set(lugdulov_MOC_HDRS
  mainwindow.h
  settings.h
  stationdialog.h
  stationspluginmanager.h
  stationslistdialog.h
  bookmarklistdialog.h
  stationdelegate.h
  stationsmodel.h
  stationssortfilterproxymodel.h
  stationslistview.h
  mapdialog.h
  mapwidget.h)

set(lugdulov_RCS res/lugdulov.qrc i18n/i18n.qrc)
set(lugdulov_TRS i18n/lugdulov_fr.ts)
set_source_files_properties(${lugdulov_TRS} PROPERTIES OUTPUT_LOCATION ${lugdulov_core_SOURCE_DIR}/i18n)

_qt4_add_translation(QM_FILES ${lugdulov_TRS})
qt4_wrap_cpp(MOC_SOURCE ${lugdulov_MOC_HDRS})
qt4_wrap_ui(UI_HDRS ${lugdulov_UIS})
qt4_add_resources(RC_SRCS ${lugdulov_RCS})

if (WIN32)
 set(GUI_TYPE WIN32)
 add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
                     COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/lugdulov.rc
                     -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
 set(lugdulov_SRCS ${lugdulov_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
endif ()

add_executable(
  lugdulov
  ${GUI_TYPE}
  ${lugdulov_SRCS}
  ${UI_HDRS}
  ${MOC_SOURCE}
  ${RC_SRCS}
  ${QM_FILES}
)

if (QTLOCATION_FOUND)
  include_directories(${QTLOCATION_INCLUDE_DIR})
  link_directories(${QTLOCATION_LIBRARY_DIRS})
  target_link_libraries(lugdulov ${QTLOCATION_LIBRARIES})
endif ()

if (QTBEARER_FOUND)
  include_directories(${QTBEARER_INCLUDE_DIR})
  link_directories(${QTBEARER_LIBRARY_DIRS})
  target_link_libraries(lugdulov ${QTBEARER_LIBRARIES})
endif ()

if (Q_WS_MAEMO_5)
  target_link_libraries(lugdulov QtMaemo5)
endif()

if (BUILD_STATIC_PLUGINS)
  target_link_libraries(lugdulov stationslyon)
  target_link_libraries(lugdulov stationsparis)
endif ()

target_link_libraries(
  lugdulov
  lugdulov_base
  qmapcontrol
  ${QT_LIBRARIES}
)

install(TARGETS lugdulov
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
)

=== pkg/CMakeLists.txt ===
if (Q_WS_MAEMO_5)
  add_subdirectory(maemo5)
endif ()

=== plugins/CMakeLists.txt ===
project(plugins)

add_subdirectory(common)
add_subdirectory(lyon)
add_subdirectory(paris)
#add_subdirectory(skel)

=== plugins/common/CMakeLists.txt ===
project(lugdulov_base)

set(lugdulov_base_SRCS  stationsplugin.cpp station.cpp)
set(lugdulov_base_MOC_HDRS  stationsplugin.h)

qt4_wrap_cpp(lugdulov_base_MOC_SOURCE ${lugdulov_base_MOC_HDRS})

add_convenience_library(lugdulov_base ${lugdulov_base_SRCS} ${lugdulov_base_MOC_SOURCE})

=== plugins/lyon/CMakeLists.txt ===
project(lyon)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${QJSON_INCLUDE_DIR}
)

set(lyon_SRCS lyon.cpp builtin.cpp)
set(lyon_TRS lugdulov_lyon_fr.ts)
set_source_files_properties(${lyon_TRS} PROPERTIES OUTPUT_LOCATION ${lyon_SOURCE_DIR})

qt4_wrap_cpp(lyon_MOC_SRCS lyon.h)
qt4_add_resources(lyon_RC_SRCS lyon.qrc)

_qt4_add_translation(QM_FILES ${lyon_TRS})

link_directories(
  ${QT_LIBRARY_DIR}
  ${QJSON_LIBRARY_DIRS}
)

add_plugin(stationslyon ${lyon_SRCS} ${lyon_MOC_SRCS} ${lyon_RC_SRCS})

target_link_libraries(
  stationslyon
  lugdulov_base
  ${QT_LIBRARIES}
  ${QJSON_LIBRARIES}
)

=== plugins/paris/CMakeLists.txt ===
project(paris)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${QJSON_INCLUDE_DIR}
)

set(paris_SRCS paris.cpp builtin.cpp)
set(paris_TRS lugdulov_paris_fr.ts)
set_source_files_properties(${paris_TRS} PROPERTIES OUTPUT_LOCATION ${paris_SOURCE_DIR})

qt4_wrap_cpp(paris_MOC_SRCS paris.h)
qt4_add_resources(paris_RC_SRCS paris.qrc)

_qt4_add_translation(QM_FILES ${paris_TRS})

add_plugin(stationsparis ${paris_SRCS} ${paris_MOC_SRCS} ${paris_RC_SRCS})

target_link_libraries(
  stationsparis
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/skel/CMakeLists.txt ===
include_directories(${lugdulov_SOURCE_DIR}/src/plugins/)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(skel_SRCS skel.cpp)

qt4_wrap_cpp(skel_MOC_SRCS skel.h)
qt4_add_resources(skel_RC_SRCS skel.qrc)

add_plugin(stationsskel ${skel_SRCS} ${skel_MOC_SRCS} ${skel_RC_SRCS})
target_link_libraries(stationsskel ${QT_LIBRARIES} lugdulov_base)

=== pkg/maemo5/debian/changelog ===
lugdulov (0.2.0-1) unstable; urgency=low

  * Maps dialog
  * Plugins architecture (Lyon and Paris plugins availables)
  * Bug fixes and some new features

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 15 Aug 2010 16:02:59 +0200

=== pkg/maemo5/debian/control ===
Source: lugdulov
Section: user/navigation
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-dev, libqt4-dev, cmake
Standards-Version: 3.7.2

Package: lugdulov
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: Recherche de stations de vélos.
XB-Maemo-Display-Name: Lugdulov
Description: A bike sharing application.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAFxG
 AABcRgEUlENBAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/
 AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAPm0lEQVR42sRZWZCU53U991v+
 rbtnelaGgYGBYcTAAEIgoQ0QMjiyHazYcsoux5ZdtuOKnVQeklTipFJ5SVxJ
 Oa7kKZVyUk5cSeSUbbkUW/ImCWGhBS1IIMQmhmFfhmG27unuf/++m4eZYRMS
 lPKQfup+6L9Pn++ec+89H8VJNFE/Z9kQEf4fX8xE1FroUbXk0vde/nojmVDS
 ++BPIwAgAPwBn2BtqpX/lU3fVWCb5o04b2g2N/0aAQxYsOXcWANrBBvJEAwC
 WbAhMJEVkoSUpARJcWsgjU0tM7NVAEnhKOEooW+GhjLiPG+oPG9lf77q7mrt
 by30FPx2VxdB0po0TivT0aWx6RMj9ZOjPNWgxDq+Iz1hmd8XGAFKaAKpW6WU
 KM0bhThdU1gxsGDLonnry22DutQBCWYwWWYmkgQQg1OOKsNj44dOXHz58KUX
 Tttx65dc0uCbk6VupT4SkwRxsq4weNfazy1cvFWVWiwnWT4cRntgxmDrQAJm
 kAS5QFnobtW2dFHnJxYv/8Td4yfeGX78lXM/OcXj5BY11Pufobo5MUl1iW35
 cP8f3Lbmq/BlmpxKa08jPwo7DVgQwGKWdDvDD9scNta56CC9Trffta7rGysu
 ffrVvd/eNb6j7rmu9N6HqvcDZIg4qmwO7ti24a+C7tVJfMJOPcdmiJCBHJBz
 5fyvfjP7kWFHOX4yS17I9J2q7cEHt/3z0kM/fOrgt084oacCeg9M7wkoIysb
 1Y91fnzj/X/DhVJUexLpbnBI5AHBLUiHAA3S4DrSHXl2yBa2L177mUfLS/7n
 1T97Oxnx3KYbYhI3fFJOkGH14Xmf2rzlH3JPJlP/wslzgAEVAHlLQmZgRljk
 gHzwJdv4j6i2o9S74dOb/ul2WhhnNdzIisUN64aj6odbH7p3818nNJVXvwNz
 iCi4FQXM/ScSgSOLnvA1aMYxXIA4/llcfcpbsOqR+/5xwLTFJno3JvEuTVGc
 Tt/prnzgvm+mypraf8GeAhVuGQqEo8Covjo09vN90/vPwPLcr0qQg/S5ePpX
 pUW3P3zHX7RHNrXZTQClNl2QeR9e/5dUbs1qP+J3o6G5smW+gVgsmKiy79zo
 f+50hnbXfvFiVk2kp4WSJAVIgVwkT0f117oGtn+k9/MibvC1JKnr6JFxtHXx
 l1oWbwhrvybzFii4BowgUtJCCAkiYoDTjHM7UzTCkdG5qdHHnvcKpu02v9Bl
 4moTBX7WyGycCU8KRWABCI5/EevFq+/4/cMXd+01533p3wAQgWKbrJDzB9d8
 Lc5HkOy8Di5JmdeiqWf2wmSiUBSehtb+0nleTxvnBgQ2VrcUvP6F6szhjhVq
 8oxK3HLl57tRmSIyaSzL2+8tLGm3mQOesuHTsvzFzQNfO7b/z6OCR+8+MiPI
 icJ7Fn1KNbfY8EVwFbi2uymRjDfSQ0cKk++4Fw/Ud781/tSe6PQEKTkjO7Ys
 A9312ftNz/LwUjI9SnzubNkMt7VXOubX3GQ0r8SQAgyQj/xgmhxf0PfQitLq
 LKtfti8xJwvKTNSju/r6H8mzSc4PXvG9K9aUB4taig89MEW9lbO2uPXevr/9
 fMt9y2ySXvZGzi2sCW7vq1U9z0t9P9FlF1pBKOHoKxYKCWQm3iWCYHX3b/iZ
 MbDXALJgzuL+1jv95gV58gbxNHDZiImkICkYIEHlzSs6H92as2urVVkOZieS
 qwsxy/2e1lwXgzZRvaTiCgsJEkQCfEUEDPKQD2dmvLdnS7dsz+fkNgeI2Tei
 t309NHF+GJBgJkEycMjR1pA1BKHIc2Cs2xYU7xmsvjKcjVYhrtcpKZnVEmFi
 x2fV2dKoapvYLLLpdApjrpErR3l0IGi7bXHzSp4DpOYAZa1U6mwfzMwkzBhI
 C0dZw5U3z6anLqBRA1u4nmhrDQYW+j1tQpJKquHwxaa7+pBdO9kp2Th4xkWY
 G+EVbLVSmjo5JksF/7Zl/tIOUhKUXeae8yEuPriwZZWc3Dkzds4Bsrbd7yq0
 9OfZCdhI+IV4ZHryl3v05NlCi5UuAHCIZJSrB5sn/DY3utCy3IuPnMK6pdfY
 mu/UDo7kb77hLynl8xYHhw85TRqBiesN0Zicfm5vsqKvuGohseXcgAXMuOFG
 W3nAZ8nXyJ5t2euUTinLLpGnakdHq0/sbOsK3X4XJC5z7LZwMYuSyWOmf6ns
 7LDP7k/HpnV7gIwBhpTJZFR7dve8XsNuno6e8NrZKmHcdo8cjmKeGAmfeic6
 srrt4Q3SEZwREHI+WSz2+HAb1wEKdJkkOKkSs5BEjlYFByTYXt0xCUr6nYU0
 nMipS5Z0bf/Jzk9usI0YxoqiN/XSUVW9WFNBoSXXCg3TbFMZbHtIeQ7nxoxP
 NL29Jzq0d/yJvPMzG0lKNrkxoeO2BsKrwV4le2ZXFUCAqcNYf3GHKBXT6SwL
 c8EWdE0btyBlQoyPen3z4zcPjf5gd+3A2Whkevqts7Vd+2LdUak0RxNR3rvG
 /eh2snl27JjQSkq4Pd1i01ZvsFeePlh57Ti5DmCAVCrfnRsirnLq2Z7CwtWV
 N8/JqfO0db3xivHbrzpOBq1xtWYdLafHssL89p40PH2gftyHzeMzVbVkUXHz
 2vyF59XiBc7q1SJwzOCq9I3X9dJe1VS0UaRLAdbf51+4FB47btb3CikIDBCB
 ZraAWYZYIDMxGCQDZmRnR1XJdVcOBGtW0r0firkIY67hiYSWxp8+q1zhdhWa
 Ny4TvtZ9i7q//jEJI8KKWNhDWnIYOQP9otyavPqazS2k5CTVnW2ip4dqU3kj
 gZAMbU2SwhDo6tYhoqwKC8gmayzHkSi4pJSNI3fJIm5uQZYRmAAigMAMCHJ8
 IRzpO2n8ytu529H11Y+okmumI6FodjpjCCXde+62J4aj19+8bFrU3Iw84ywD
 KSH9NK1GnIprAJGoxGM2S4RoJyHgOByGNkkgiI0R5ZYsgY0zEyc2TjhJCSBi
 NoYklOa0Tq0fvVP7yiYZHJXUmCuVmZrgLFftrXrLh/TCblg764hZzqRIC8AT
 ohyGF0KOZhhSc3jERHwxqp7SnQuIHTWvPX8nzk+edteu4ThxV6/Kyq1Z2ECW
 Is84TcXF08mUCes6aDLIcizsdVp9k2QkRbC8O9y7NDtxRq+ry0LAmQGxN9AP
 azk3IGK22YVLKJZVwQGahGieqh6LYLyrW4ckPZlPTkwc1mI+Z8XCYFfutZv9
 e9ORMXJd4TruimXeurXuPXe7mzZTx7y8Wg9VV9Pv/NZUvXX0uGj56F3ClWBw
 br15paat68KzjXT/WywUOZqk5NywZSgNx0kPH4mGL+oV/dIXTL3C0sjkwVzO
 amoWkCBRF+bMxD5iApY4zTLYtKF2MrTP/yo5ciSv1kylbmo1MzGZvvE67Xmh
 PqEL960pLCrZKGUiTlKa06BpxMWBLlq1tr5rf7r7JTNdNblhhjXWTE+ne/eE
 T+/i+X3NG/o4hXLXpNOjp6qHINSMitVcj6VM6eGJPRvqU8K729TeaF6/0DS2
 VF/eXRzfgc4yBQEYplrLxmuNuBxsvbdp5XxTi7u/vIWt1eWCvdzRGMhN+8N3
 jYMqO98KDh7V3W0UeMgynpiMz1fj4tL2RzaRSNh0a2fxmaM/PpuclY5mAQTu
 ZadmrYMT9eMjp3b2rPmUEf2cHmh5YKDR1RLtH7IXLyCpQAhqbpaDgy1rlgU9
 LTZKSAlvfgsINs5h+cpUZKxQovORu+sDPdGBofD4RUQTkIKaynL1mo77l+sm
 x0Z1UdgIY9++9PR4ySjHU6E0P3hZXf5Xmqnhqj3Djy3q/wT5GzkdJp0W13cV
 1s839dhMxWyFCjzpKiI2YUIK5BErCwY5AhkjYzY8M2lxakhwaWV3YUW3qaem
 kUCSavKlr0hY5ga1r9birtGR14ZOv77sfNvKt0pLdju6/t9XOTWz1sG+5PDt
 537Ud9tno8Yd5vAL9hTy4ZTPZlwxXMuT0HDORIBLVJCiWdECRy515DKPFirR
 qqgooGhuUQTDElgVtJbOzFDBSW5ruR0ne6HZDD2T/+zx39zX1jreVJ0fnb4z
 XfmVP54FZDTHLgtmZ8o/893HFoyN1V7bbyZOoe6S51CHFF1KtErqdCCJLHPE
 XDH5gcjuqPO0gccoClFUcokreh3RqdAsyRfkEhhILYfMU8aO5vZEYk7XbWRU
 /UzcqIwtzMY2qufWjV1Y3DDt3vIPrVTsiKTEYgzL3vZXPxss2ufmIjnX9ETn
 xz8j7vsk9b0k5kdULpADKHGlezBgmHPLdebR3ByPzdHEHo3NUJIdjWxukTMM
 ZrdEAiRICygpOjL9wFp/7Za8beqnk38/ND9hVwkGUutFoOlYUTVd+4S3/Jl5
 3ceKF1ekr/927fjtcdzZeGSdM7hye2z77PT3YUJOXMTmBqFaQKLflYMuJIHB
 kUXD2JARMlLLZs59XUE+IYioedDxv0hZ+tSuPzwqa44tiHAm0iOSAKDsg9/a
 dEyd2sA//tz4mVVJUrJkiRP1kz3f9kO9dN0XYvcLtvED8CTIA+j6RMGAc4t4
 bqmVRAUpmwgECIBodkawGUzC4g7tPaoa+Y6df/py9WUnaBXv2n1V1lN88nej
 4YEJIqlS8uoCFiA1GegfHv67TyPvu+PLifw9U/8xzBCgbrAeXQ3SMBtctWIT
 YMAxk0fONre0navVZ1/4k2erv5ZBi7hhHOP85I9GVrGsGzcUMp8ZTgCwJ73J
 gvvY4W/tffGbThbo8tfhPQxqZg6B7ObZ0EzaiAjIoPpF4ct+8/b4/IEnd3zp
 mdrzImiV7xHpKMpZhXz9WQBgdqAbBfH42e+dmdz/4PpvNPdszbx7suQVJHtg
 x0EWTCBxVf6A2dgYDGYmh9Ry4d2vvVUypeN7/u1XQ/96QlYd78bczK1BzHjP
 CJ81pCmUX0wPnHjxqxsXPrzytkeLndtsYVuWHjHxEMwFcAXcwEz1MoE0qATR
 RmqR8gcd2YU4GR3a+erRf3+juif0HFeWiP8PoSfAkknq0og2j5//fu/5X67p
 3ras+4GOznVu0woWMBzavALEYCZSoEDIFkkKKaLxo8dGnj1ybsfBqdfGPeEU
 mz3LN02GbzEUYxfC+q0nbXJq5PHm8z/tcboXta6ZV17eVOz1/U6tiwRhOErT
 0bDx0uT08QuTh0/XjoyYyVBBFQs+1Ox0dgs5NVs2lnPLNwPHuYawTrHK+aQ9
 t3/spBpl10qPtCZNIAOTchYjz8gaKUlqqT0HgixbpMD7Xe5YNpYNwApEBCEg
 CHTzvA6QgCStpYb0mZAByWwtg6AANZu+Xn80dNN7C4JgEEVJODI1ZDj/gNdT
 s5KgOYnNQvtA11Oyq7n/fwcA/ZM00MAEp20AAAAASUVORK5CYII=

=== pkg/maemo5/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# FIXME: use cdbs-dh7 and cmake magic stuff instead

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	mkdir -p $(CURDIR)/build
	cd $(CURDIR)/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov $(CURDIR) && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf $(CURDIR)/build
	dh_clean debian/shlibs.local
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd $(CURDIR)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lugdulov 0.2.1-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(VERSION_MAJOR "0")
 set(VERSION_MINOR "2")
-set(VERSION_PATCH "0")
+set(VERSION_PATCH "1")
 
 if(CMAKE_SYSTEM_NAME MATCHES Linux)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)

=== plugins/CMakeLists.txt ===
project(plugins)

add_subdirectory(common)
add_subdirectory(france)
add_subdirectory(belgium)
add_subdirectory(ireland)
add_subdirectory(luxembourg)
add_subdirectory(spain)
add_subdirectory(japan)
#add_subdirectory(skel)

=== plugins/common/CMakeLists.txt ===
project(lugdulov_base)

set(lugdulov_base_SRCS
  stationsplugin.cpp
  stationsplugincarto.cpp
  station.cpp)

set(lugdulov_base_MOC_HDRS
  stationsplugin.h
  stationsplugincarto.h)

qt4_wrap_cpp(lugdulov_base_MOC_SOURCE ${lugdulov_base_MOC_HDRS})

add_convenience_library(lugdulov_base ${lugdulov_base_SRCS} ${lugdulov_base_MOC_SOURCE})

=== plugins/france/CMakeLists.txt ===
project(france)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${QJSON_INCLUDE_DIR}
)

set(france_SRCS
  factory.cpp
  aixenprovence.cpp
  amiens.cpp
  besancon.cpp
  cergypontoise.cpp
  creteil.cpp
  lyon.cpp
  lyon_p.cpp
  marseille.cpp
  mulhouse.cpp
  nancy.cpp
  nantes.cpp
  paris.cpp
  plainecommune.cpp
  rouen.cpp
  toulouse.cpp)

set(france_TRS
  lugdulov_france_fr.ts)

set(france_HDRS
  factory.h
  aixenprovence.h
  amiens.h
  besancon.h
  cergypontoise.h
  creteil.h
  lyon.h
  marseille.h
  mulhouse.h
  nancy.h
  nantes.h
  paris.h
  plainecommune.h
  rouen.h
  toulouse.h)

set_source_files_properties(${france_TRS} PROPERTIES OUTPUT_LOCATION ${france_SOURCE_DIR})

qt4_wrap_cpp(france_MOC_SRCS ${france_HDRS})

qt4_add_resources(france_RC_SRCS france.qrc)

_qt4_add_translation(QM_FILES ${france_TRS})

link_directories(
  ${QT_LIBRARY_DIR}
  ${QJSON_LIBRARY_DIRS}
)

add_plugin(stationsfrance ${france_SRCS} ${france_MOC_SRCS} ${france_RC_SRCS})

target_link_libraries(
  stationsfrance
  lugdulov_base
  ${QT_LIBRARIES}
  ${QJSON_LIBRARIES}
)

=== plugins/ireland/CMakeLists.txt ===
project(ireland)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(ireland_SRCS
  factory.cpp
  dublin.cpp)

set(ireland_HDRS
  factory.h
  dublin.h)

qt4_wrap_cpp(ireland_MOC_SRCS ${ireland_HDRS})
qt4_add_resources(ireland_RC_SRCS ireland.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsireland ${ireland_SRCS} ${ireland_MOC_SRCS} ${ireland_RC_SRCS})

target_link_libraries(
  stationsireland
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/spain/CMakeLists.txt ===
project(spain)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(spain_SRCS
  factory.cpp
  seville.cpp
  santander.cpp)

set(spain_HDRS
  factory.h
  seville.h
  santander.h)

qt4_wrap_cpp(spain_MOC_SRCS ${spain_HDRS})
qt4_add_resources(spain_RC_SRCS spain.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsspain ${spain_SRCS} ${spain_MOC_SRCS} ${spain_RC_SRCS})

target_link_libraries(
  stationsspain
  lugdulov_base
  ${QT_LIBRARIES}
)

=== pkg/maemo5/debian/changelog ===
lugdulov (0.2.1-1) unstable; urgency=low

  * Plugins: Cergy-Pontoise, Creteil, Aix-en-Provence, Amiens, Besançon, Marseille, Mulhouse, Nancy, Nantes, Plaine Commune, Rouen, Toulouse, Bruxelles, Dublin, Luxembourg, Seville, Santander, Tomaya
  * Maps: some performances fixes

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 15 Aug 2010 16:02:59 +0200

## lugdulov 0.2.2-1

=== pkg/maemo5/debian/changelog ===
lugdulov (0.2.2-1) unstable; urgency=low

  * Plugins: support for 110 new cities
  * Maps: some performances fixes

 -- Corentin Chary <corentincj@iksaif.net>  Sat, 18 Sep 2010 16:02:59 +0200
